use serde::{Deserialize, Serialize};
use speedy_uuid::Uuid;
use utoipa::ToSchema;

#[derive(Clone, Copy, Deserialize, Serialize, ToSchema)]
#[serde(rename_all = "camelCase")]
pub enum MediaType {
    Unknown,
    Image,
    Gifv,
    Video,
    Audio,
}

#[derive(Clone, Deserialize, Serialize, ToSchema)]
pub struct MediaAttachment {
    pub id: Uuid,
    pub r#type: MediaType,
    pub url: String,
    pub preview_url: String,
    pub remote_url: String,
    pub description: String,
    pub blurhash: Option<String>,
}
